Bug 728513 - cacti.sql doesn't work on mysql >= 5.5
Summary: cacti.sql doesn't work on mysql >= 5.5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 12:03 UTC by Sven Lankes
Modified: 2011-10-27 17:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-08 16:59:11 UTC


Attachments (Terms of Use)
Patch (11.20 KB, text/plain)
2011-08-08 16:12 UTC, Sven Lankes
no flags Details

Description Sven Lankes 2011-08-05 12:03:17 UTC
Cacti comes with a cacti.sql that creates the mysql tables needed for cacti.

This script creates tables with TYPE=MyISAM. TYPE has been deprecated since mysql 4 and has been removed with 5.5 so that the script no longer imports.

This is already fixed in cacti svn - so no need to notify upstream.

Patch attached - changing TYPE to ENGINE.

Comment 1 Gwyn Ciesla 2011-08-08 15:51:29 UTC
Patch attached. . .to. . .what? :)

Comment 2 Sven Lankes 2011-08-08 16:12:37 UTC
Created attachment 517261 [details]
Patch

Comment 3 Gwyn Ciesla 2011-08-08 16:59:11 UTC
Awesome, fixed in rawhide, thanks!

Comment 4 Ken Dreyer 2011-10-27 17:54:32 UTC
For the record:

The upstream fix was http://svn.cacti.net/viewvc?view=rev&revision=6293
This was first included in an upstream release in 0.8.7h.


Note You need to log in before you can comment on or make changes to this bug.